.stages-block__wrapper {
    display: flex;
    gap: 20px;
    justify-content: space-between;
}

.stages-block__list {
    max-width: 910px;
    display: flex;
    flex-direction: column;
}

.stages-block__item {
    display: flex;
    flex-direction: column;
    padding: 30px;
    border-bottom: 1px solid var(--stroke-thirdly);
}

.stages-block__item:first-child {
    border-top: 1px solid var(--stroke-thirdly);
}

.stages-block__item a {
    color: var(--primary);
    text-decoration: underline;
}

.stages-block__item-number {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 100%;
    border: 1px dotted var(--primary);
    background: var(--second);
    color: var(--primary);
    width: 60px;
    height: 60px;
    margin-bottom: 24px;

    font-weight: 600;
    font-size: 16px;
    line-height: 120%;
}

.stages-block__item-number.last-item {
    background: var(--primary);
}

.stages-block__item-number.last-item::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    width: 24px;
    height: 24px;
    background-image: url(./images/CheckCircle.svg);
    background-repeat: no-repeat;
    background-size: contain;

}

.stages-block__item-title {
    display: flex;
    gap: 14px;
    align-items: center;
    font-weight: 600;
    font-size: 24px;
    line-height: 120%;
    margin-bottom: 14px;
}

.stages-block__item-tag {
    font-weight: 400;
    font-style: Italic;
    font-size: 12px;
    line-height: 140%;
    color: var(--main-text-secondary);
    padding: 6px 10px;
    border-radius: 100px;
    background: var(--second);
    border: 1px solid var(--stroke-thirdly);
}

.stages-block__offer {
    max-width: 600px;
    position: sticky;
    top: 140px;
    display: flex;
    flex-direction: column;
    height: fit-content;
}

.stages-block__offer-title {
    font-weight: 600;
    font-size: 20px;
    line-height: 120%;
    margin-bottom: 14px;
}

.stages-block__offer-text {
    margin-bottom: 40px;
}

.stages-block__offer-img {
    aspect-ratio: 6 / 3;
    width: 100%;
    height: auto;
    border-radius: 10px;
    overflow: hidden;
}

.stages-block__offer-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.stages-block__offer a {
    color: var(--primary);
    text-decoration: underline;
}

@media (max-width: 1192px) {
    .stages-block__wrapper {
        flex-direction: column-reverse;
        gap: 40px;
    }

    .stages-block__list {
        max-width: unset;
    }

    .stages-block__offer {
        max-width: unset;
    }
}

@media (max-width: 490px) {
    .stages-block__item {
        padding: 20px 0;
    }

    .stages-block__item-title {
        font-size: 20px;
    }
}